# sasl_chalprompt_t - Realm acquisition callback

## Synopsis

    #include <sasl/prop.h>

    int sasl_chalprompt_t(void *context, int id,
        const char *challenge,
        const char *prompt, const char *defresult,
        const char **result, unsigned *len)

## Description

int sasl_chalprompt_t(void *context,
int id,
const char *challenge,
const char *prompt,
const char *defresult,
const char **result,
unsigned *len)

  sasl_chalprompt_t is used to prompt for input in response to a server challenge.

  Parameters:

    - context – is the context from the callback record

    - id – is the callback id (either SASL_CB_ECHOPROMPT or SASL_CB_NOECHOPROMPT)

    - challenge – the server’s challenge

    - prompt – A prompt for the user

    - defresult – Default result (may be NULL)

    - len – Length of the user’s response.

  Result:

    The user’s response (a NUL terminated string) or SASL error code.

## Return Value

The user’s response (NUL terminated), or a SASL error code. See sasl_errors(3).

## See Also

sasl(3), sasl_errors(3), sasl_callbacks(3)